Bug 1564203 - Include specific warning regarding the use of the clustered bit on CLVMD controlled volumes
Summary: Include specific warning regarding the use of the clustered bit on CLVMD cont...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Global_File_System_2
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: Nate Straz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 16:29 UTC by Cole Towsley
Modified: 2019-03-06 01:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 15:07:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Cole Towsley 2018-04-05 16:29:29 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/global_file_system_2/ch-clustsetup-gfs2

Section Number and Name: 

Chapter 5, bullet 7

Describe the issue: 

This section should include language specifying that the Clustered flag must be enabled on any volumes managed by clvmd to be able to safely activate volume groups concurrently across nodes

Suggestions for improvement: 

The section in question already includes a warning box regarding concurrent storage access. We could add to that something along the lines of

"When managing volumes groups using clvmd to allow for concurrent activate of volumes across multiple nodes, the volume groups MUST have the clustered flag enabled. This flag allows clvmd to identify the volumes it must manage which is what enabled clvmd to maintain lvm metadata continuity. Failure to adhere to this configuration renders the configuration unsupported by Red Hat, and may result in storage corruption and loss of data."

Comment 3 Steven J. Levine 2018-04-10 15:07:14 UTC
Chapter 5 step 7 is now updated on the Customer Portal:

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/global_file_system_2/#ch-clustsetup-GFS2


Note You need to log in before you can comment on or make changes to this bug.